Skip to content

Get a run's trained model

Viewing v1— superseded by v2

GET
/v1/workspaces/{workspace_id}/training-runs/{training_run_id}/model
curl --request GET \
--url https://api.app.layer.ai/api/v1/workspaces/:workspace_id/training-runs/:training_run_id/model \
--header 'Authorization: Bearer <token>'

v1 is superseded. v1 was superseded by v2 on 2026-08-26. A sunset date has not been announced yet; v1 will be deprecated as a whole before removal. Migrate with the v2 migration guide.

Get the trained finetune (LoRA) produced by a completed training run.

workspace_id
required
Workspace Id

Id of the workspace that owns the resource.

string format: uuid

Id of the workspace that owns the resource.

training_run_id
required
Training Run Id

Id of the training run.

string format: uuid

Id of the training run.

Successful Response

Media typeapplication/json
TrainedModelResponse
object
finetune_id
required
Finetune Id

ID of the trained finetune (LoRA) for the run.

string format: uuid
reference_set_id
required
Reference Set Id
string format: uuid
base_model_id
required
Base Model Id
string
is_active
required
Is Active

Whether this finetune is the active one for the run’s base model.

boolean
Examplegenerated
{
"finetune_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"reference_set_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"base_model_id": "example",
"is_active": true
}

Unauthenticated — missing or invalid Bearer token.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Forbidden — insufficient permissions.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Resource not found.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Invalid input parameters.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Rate limited — too many concurrent requests.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}

Internal server error.

Media typeapplication/problem+json
object
type
required
string
title
required
string
status
required
integer
detail
required
string
Example
{
"type": "https://api.layer.ai/errors/ERROR_CODE",
"title": "Error Title",
"status": 400,
"detail": "Human-readable description."
}